import { ToolbarActionToggle } from '../../toolbar';
import { AnnotationEditorPlugin } from './annotation-editor-plugin';
export declare abstract class AnnotationEditorBaseToolbarItem extends ToolbarActionToggle {
    protected abstract value: number;
    protected annotationEditorBar: HTMLDivElement;
    get annotationEditorPlugin(): AnnotationEditorPlugin;
    get enabled(): boolean;
    get activated(): boolean;
    protected init(): void;
    protected abstract buildAnnotationEditorBar(): void;
    protected buildField<T extends HTMLElement = HTMLInputElement>({ label, input, inputProps, annotationEditorParamsType }: {
        label: string;
        input?: T;
        inputProps?: Record<string, any>;
        annotationEditorParamsType?: number;
    }): {
        container: HTMLLabelElement;
        text: HTMLSpanElement;
        field: HTMLInputElement | T;
    };
}
